%define name zz_desktop_tweeks
%define version 1.1
%define release 1

Summary: Small desktop tweeks such as default buttons on panel
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}root

%description
This changes minor desktop annoyances, such as the default buttons on KDE's
and Gnome's panel.

%prep
%setup -q

%install
#put in kicker panel files
mkdir -p $RPM_BUILD_ROOT/usr/share/config
cp -r * $RPM_BUILD_ROOT/usr/share/config

%post
if [ -f /usr/share/config/kickerrc ] ; then
	/bin/cp -f /usr/share/config/kickerrc.fermi /usr/share/config/kickerrc
fi
if [ -f /etc/gconf/gconf.xml.defaults/schemas/apps/panel/default_profiles/medium/general/%gconf.xml ] ; then
	/bin/cp -f /usr/share/config/general.gconf.xml /etc/gconf/gconf.xml.defaults/schemas/apps/panel/default_profiles/medium/general/%gconf.xml
fi
if [ -f /etc/gconf/gconf.xml.defaults/schemas/apps/panel/default_profiles/medium/objects/terminal_launcher/%gconf.xml ] ; then
	/bin/cp -f /usr/share/config/terminal.gconf.xml /etc/gconf/gconf.xml.defaults/schemas/apps/panel/default_profiles/medium/objects/terminal_launcher/%gconf.xml
fi

%triggerin -- gnome-panel
if [ -f /etc/gconf/gconf.xml.defaults/schemas/apps/panel/default_profiles/medium/general/%gconf.xml ] ; then
	/bin/cp -f /usr/share/config/general.gconf.xml /etc/gconf/gconf.xml.defaults/schemas/apps/panel/default_profiles/medium/general/%gconf.xml
fi
if [ -f /etc/gconf/gconf.xml.defaults/schemas/apps/panel/default_profiles/medium/objects/terminal_launcher/%gconf.xml ] ; then
	/bin/cp -f /usr/share/config/terminal.gconf.xml /etc/gconf/gconf.xml.defaults/schemas/apps/panel/default_profiles/medium/objects/terminal_launcher/%gconf.xml
fi

%triggerpostun -- kdebase
if [ -f /etc/gconf/gconf.xml.defaults/schemas/apps/panel/default_profiles/medium/general/%gconf.xml ] ; then
	/bin/cp -f /usr/share/config/general.gconf.xml /etc/gconf/gconf.xml.defaults/schemas/apps/panel/default_profiles/medium/general/%gconf.xml
fi
if [ -f /etc/gconf/gconf.xml.defaults/schemas/apps/panel/default_profiles/medium/objects/terminal_launcher/%gconf.xml ] ; then
	/bin/cp -f /usr/share/config/terminal.gconf.xml /etc/gconf/gconf.xml.defaults/schemas/apps/panel/default_profiles/medium/objects/terminal_launcher/%gconf.xml
fi


%triggerin -- kdebase
if [ -f /usr/share/config/kickerrc ] ; then
	/bin/cp -f /usr/share/config/kickerrc.fermi /usr/share/config/kickerrc
fi

%triggerpostun -- kdebase
if [ -f /usr/share/config/kickerrc ] ; then
	/bin/cp -f /usr/share/config/kickerrc.fermi /usr/share/config/kickerrc
fi


%files
/usr/share/config
